package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag103STP;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT103STPCreator;

import java.util.List;

public class Tag23ECreator extends AbsTagCreate {
    private MT103STPCreator mt103STPCreator;

    public Tag23ECreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt103STPCreator= (MT103STPCreator) absMTCreator;
    }

    public void creator()
    {
        if (mt103STPCreator.getInstructionCode()!=null){
            List<String> tag23EValue = mt103STPCreator.getInstructionCode();
            mt103STPCreator.set("23E", tag23EValue,true);
        }

    }
}
